> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Member ID Card

> Creates a member ID card.



## OpenAPI

````yaml schemas/2023-08-25/schema.yaml post /member_id_cards
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /member_id_cards:
    post:
      tags:
        - member_id_cards
      description: Creates a member ID card.
      operationId: member_id_cards_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberIdCard'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MemberIdCard'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/MemberIdCard'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MemberIdCard'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    MemberIdCard:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        member:
          type: string
        insurance_member_id:
          type: string
          nullable: true
          maxLength: 255
          description: The carrier-issued insurance member ID printed on the card.
        document:
          type: string
          nullable: true
          description: The member document associated with this ID card.
        enrollment_plans:
          type: array
          items:
            type: string
          readOnly: true
        enrollment_dependents:
          type: array
          items:
            type: string
          readOnly: true
      required:
        - enrollment_dependents
        - enrollment_plans
        - id
        - member
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.